Bug 194851 - Remove a "The " in "The The HTTP headers of the response"
Summary: Remove a "The " in "The The HTTP headers of the response"
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Trivial
Assignee: Adrian Perez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-20 01:26 PST by scootergrisen
Modified: 2019-10-10 07:57 PDT (History)
9 users (show)

See Also:


Attachments
Patch (1.45 KB, patch)
2019-10-08 15:53 PDT, Adrian Perez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description scootergrisen 2019-02-20 01:26:21 PST
In the translation po file for WebKitGTK+ it says:

#: ../../../../WebKit/Shared/API/glib/WebKitURIResponse.cpp:173
msgid "The The HTTP headers of the response"

Suggest removing one "The ".
Comment 1 Adrian Perez 2019-10-08 15:53:46 PDT
Created attachment 380474 [details]
Patch
Comment 2 EWS Watchlist 2019-10-08 15:54:18 PDT
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Carlos Alberto Lopez Perez 2019-10-08 16:32:26 PDT
Comment on attachment 380474 [details]
Patch

Updating all the translation po files isn't needed as well?
Comment 4 Adrian Perez 2019-10-09 07:44:28 PDT
(In reply to Carlos Alberto Lopez Perez from comment #3)
> Comment on attachment 380474 [details]
> Patch
> 
> Updating all the translation po files isn't needed as well?

The template (.pot) translation file is generated automatically
by CMake. AFAIU translators will pick that (and possibly merge
it with the existing translations) next time they update the
translatable strings, and each .po file will be updated when
a translator sends up an updated copy later on.
Comment 5 WebKit Commit Bot 2019-10-10 07:56:42 PDT
The commit-queue encountered the following flaky tests while processing attachment 380474 [details]:

imported/w3c/web-platform-tests/IndexedDB/fire-error-event-exception.html bug 202799 (author: youennf@gmail.com)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2019-10-10 07:57:33 PDT
Comment on attachment 380474 [details]
Patch

Clearing flags on attachment: 380474

Committed r250967: <https://trac.webkit.org/changeset/250967>
Comment 7 WebKit Commit Bot 2019-10-10 07:57:34 PDT
All reviewed patches have been landed.  Closing bug.